### Struct

# Gtk BitsetIter

#### Description [src]

    struct GtkBitsetIter {
      /* No available fields */
    }

An opaque, stack-allocated struct for iterating over the elements of a `GtkBitset`.

Before a `GtkBitsetIter` can be used, it needs to be initialized with `gtk_bitset_iter_init_first()`, `gtk_bitset_iter_init_last()` or `gtk_bitset_iter_init_at()`.

#### Functions

###### gtk_bitset_iter_init_at

Initializes `iter` to point to `target`.

###### gtk_bitset_iter_init_first

Initializes an iterator for `set` and points it to the first value in `set`.

###### gtk_bitset_iter_init_last

Initializes an iterator for `set` and points it to the last value in `set`.

#### Instance methods

###### gtk_bitset_iter_get_value

Gets the current value that `iter` points to.

###### gtk_bitset_iter_is_valid

Checks if `iter` points to a valid value.

###### gtk_bitset_iter_next

Moves `iter` to the next value in the set.

###### gtk_bitset_iter_previous

Moves `iter` to the previous value in the set.